블로그 이미지
Max.

calendar

          1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31            

Notice

2012.08.21 16:25 개발관련

spring-data-commons-core 프로젝트가 좀 이상한게 있는데 버전이 낮으면, Spring3.x 일부 버전과 충돌된다. spring-data-commons-core 프로젝트 홈페이지에 나온 버전을 써도 그런다. 찾아보니 최신버전은 http://central.maven.org/maven2/org/springframework/data/spring-data-commons-parent/ 여기서 제일 높은 버전을 찾아 POM에 넣으면 문제가 사라진다. 현재 최신은 1.3.2.RELEASE 버전이고 이를 dependency 시키면 된다.


이렇게 별 관심 없는 프로젝트에서 삽질하다 Spring 4.0 Properties가 있는걸 보고 이건뭐지... Spring JIRA를 급히 들어가 보니 로드맵(https://jira.springsource.org/browse/SPR)에도 없는 버전닝 아닌가... 요 프로젝트엔 재밌는 녀석들이 많나 보다...


그나저나 Spring Roo 는 어떻게 되어 가고 있을까.... 


저작자 표시
신고
posted by Max.